{* $Id: order_details.tpl 4397 2007-12-06 13:43:15Z zeke $*}
<hr />
<p><b>{$lang.google_info}:</b></p>
<table cellpadding="2" cellspacing="2" border="0">
{foreach from=$google_info key='name' item='value'}
<tr>
	<td class="field-name">{$lang.$name}:</td>
	<td>{$value}</td>
</tr>
{/foreach}
</table>
{if !$google_info.risk_information}
<table cellpadding="2" cellspacing="2" border="0">
<tr>
	{if $google_info.fulfillment_state == 'NEW' || $google_info.fulfillment_state == 'PROCESSING'}
	<td>
		{include file="buttons/button.tpl" but_text=$lang.deliver but_onclick="javascript:document.order_info_form.method='GET';document.order_info_form.`$mode_name`.value='google';document.order_info_form.`$action_name`.value='deliver';document.order_info_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	{/if}
	{if $google_info.fulfillment_state == 'DELIVERED' || $google_info.financial_state == 'CANCELLED' || $google_info.financial_state == 'CANCELLED_BY_GOOGLE'}
	<td>
		{include file="buttons/button.tpl" but_text=$lang.archive but_onclick="javascript:document.order_info_form.method='GET';document.order_info_form.`$mode_name`.value='google';document.order_info_form.`$action_name`.value='archive';document.order_info_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	{/if}
	<td>
		{include file="buttons/button.tpl" but_text=$lang.add_tracking_data but_onclick="javascript:document.order_info_form.method='GET';document.order_info_form.`$mode_name`.value='google';document.order_info_form.`$action_name`.value='add_tracking_data';document.order_info_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
</tr>
</table>
<p></p>
{if $google_info.charged_amount < $order_info.total}
<table cellpadding="2" cellspacing="2" border="0">
<tr>
	<td>{include file="buttons/button.tpl" but_text=$lang.charge but_onclick="javascript:document.order_info_form.method='GET';document.order_info_form.`$mode_name`.value='google';document.order_info_form.`$action_name`.value='charge';document.order_info_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td><label>{$lang.amount}:</label></td>
	{math equation="a-b" a=$order_info.total b=$google_info.charged_amount|default:0 assign="amount_to_charge"}
	<td><input type="text" class="input-text" name="google_data[charge_amount]" size="5" value="{$amount_to_charge}" /></td>
</tr>
</table>
{/if}
{if ($google_info.financial_state == 'CHARGED' || $google_info.financial_state == 'REFUNDED') && $google_info.refunded_amount != $order_info.total}
<table cellpadding="2" cellspacing="2" border="0">
<tr>
	<td>
	    {literal}
	    <script type="text/javascript" language="javascript 1.2">
		function fn_gc_refund()
		{
		    if (document.getElementById('gc_refund_reason').value == '') {
			alert(lang.error_required_fields);
			return false;
		    }
		    
    		    document.order_info_form.method='GET';
		    document.order_info_form[mode_name].value='google';
		    document.order_info_form[action_name].value='refund';
		    document.order_info_form.submit();
		}
	    </script>
	    {/literal}
	    {include file="buttons/button.tpl" but_text=$lang.refund but_onclick="fn_gc_refund();"}
	</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td><label>{$lang.amount}:</label></td>
	{math equation="a-b" a=$google_info.charged_amount|default:0 b=$google_info.refunded_amount|default:0 assign="amount_to_refund"}
	<td><input type="text" class="input-text" name="google_data[refund_amount]" size="5" value="{$amount_to_refund}" /></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td><label>{$lang.reason}:</label><span class="required-field-mark">*</span></td>
	<td><input type="text" class="input-text" id="gc_refund_reason" name="google_data[refund_reason]" size="45" value="" /></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td><label>{$lang.comments}:</label></td>
	<td><input type="text" class="input-text" name="google_data[refund_comment]" size="45" value="" /></td>
</tr>
</table>
{/if}

<table cellpadding="2" cellspacing="2" border="0">
{if (($google_info.refunded_amount && $google_info.refunded_amount == $google_info.charged_amount) || ($google_info.chargeback_amount && $google_info.chargeback_amount == $google_info.charged_amount)) && !($google_info.financial_state == 'CANCELLED' || $google_info.financial_state == 'CANCELLED_BY_GOOGLE')}
<tr>
	<td>
	    {literal}
	    <script type="text/javascript" language="javascript 1.2">
		function fn_gc_cancel()
		{
		    if (document.getElementById('gc_cancel_reason').value == '') {
			alert(lang.error_required_fields);
			return false;
		    }
    		    document.order_info_form.method='GET';
		    document.order_info_form[mode_name].value='google';
		    document.order_info_form[action_name].value='cancel';
		    document.order_info_form.submit();
		}
	    </script>
	    {/literal}
	    {include file="buttons/button.tpl" but_text=$lang.cancel but_onclick="fn_gc_cancel();"}
	</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td><label>{$lang.reason}:</label><span class="required-field-mark">*</span></td>
	<td><input type="text" class="input-text" id="gc_cancel_reason" name="google_data[cancel_reason]" size="45" value="" /></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td><label>{$lang.comments}:</label></td>
	<td><input type="text" class="input-text" name="google_data[cancel_comment]" size="45" value="" /></td>
</tr>
{/if}
<tr>
	<td>{include file="buttons/button.tpl" but_text=$lang.send_message but_onclick="javascript:document.order_info_form.method='GET';document.order_info_form.`$mode_name`.value='google';document.order_info_form.`$action_name`.value='send_message';document.order_info_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td><label>{$lang.message}:</label></td>
	<td colspan="4"><textarea class="input-text" name="google_data[message]" cols="45" rows="4"></textarea></td>
</tr>
</table>
{/if}